//tag规则 release-v188.14.*  商标交易  同步阿里订单状态
//任务名 tmpaytransfer
const TaskBase = require("../../task.base");
const system = require("../../../system");
var settings = require("../../../../config/settings");

class TmtransferTask extends TaskBase {
    constructor() {
        super(TaskBase.getServiceName(TmtransferTask));
        this.restclient = system.getObject("util.restClient");
        this.transferurl = settings.reqTransferurl();
    }

    formatedTaskName(taskName) {
        console.log("formatedTaskName", taskName)
        return taskName + "|i|20"
    }

    async subDoTask(params) {
        console.log(params);
        console.log("TestTask1.....");
        try {
            var url = this.transferurl + "api/transfer/tradeApi/uppaymentstatus";
            this.restclient.execGet(null, url);
            return system.getResultSuccess();
        } catch (error) {
            console.log(error);
            return null;
        }
    }
}

module.exports = TmtransferTask;
